[Bug] Undo of an edit on a form silently fails
Closed, ResolvedPublic3 Story Points

Description

Undoing an edit on a form of a lexeme silently fails.

It should undo the edit and record the undo edit in the edit history.

Related Objects

Lydia_Pintscher triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2018, 4:54 PM

It looks like "Restore" also doesn't work!

WMDE-leszek updated the task description. (Show Details)Mar 12 2018, 4:49 PM

Change 419450 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] WIP DNM Add __clone and copy to FormSet

https://gerrit.wikimedia.org/r/419450

Jakob_WMDE set the point value for this task to 3.Mar 20 2018, 4:24 PM

Change 419450 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add __clone and copy to FormSet

https://gerrit.wikimedia.org/r/419450

Restricted Application added a project: User-Addshore. · View Herald TranscriptMar 23 2018, 11:48 AM
Addshore moved this task from Backlog to Done ✔️ on the User-Addshore board.Mar 23 2018, 11:48 AM

Change 421514 had a related patch set (by Pablo Grass (WMDE)) published:
[mediawiki/extensions/WikibaseLexeme@master] FormSetTest: CS

https://gerrit.wikimedia.org/r/421514

Change 421514 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] FormSetTest: CS

https://gerrit.wikimedia.org/r/421514

I just tested it and it does not work. Please have another look. Thanks!

Addshore added a comment.EditedApr 3 2018, 10:09 AM

I just tested it and it does not work. Please have another look. Thanks!

Hmm, where did you test it?
Has this been pulled onto the test system? (*hasn't seen any docs on how to do that so hasn't done it*)

So it looks like there is still some issue with grammatical features, I'll investigate..

Change 423867 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] WIP SCRATCH: Investigate grammatical feature undo failings

https://gerrit.wikimedia.org/r/423867

It looks like this is specifically to do with undoing of an edit that adds a grammatical feature.

Change 423872 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Also check forms diff in LexemeDiff::isEmpty

https://gerrit.wikimedia.org/r/423872

Change 423915 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Add test for LexemeContent::getPatchedCopy

https://gerrit.wikimedia.org/r/423915

Addshore removed Addshore as the assignee of this task.Apr 4 2018, 2:21 PM
Addshore added a subscriber: WMDE-leszek.

I'm going to let @WMDE-leszek have a look at this to see if he can spot what I am missing

Change 423867 abandoned by Addshore:
WIP SCRATCH: Investigate grammatical feature undo failings

https://gerrit.wikimedia.org/r/423867

Change 423872 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Also check forms diff in LexemeDiff::isEmpty

https://gerrit.wikimedia.org/r/423872

WMDE-leszek moved this task from To Do to Doing on the Wikidata-Turtles-18.03.28 board.

The failure has been tracked down to issue with patching removing a grammatical feature. It is shown off e.g. by https://gerrit.wikimedia.org/r/#/c/424364/.
The possible way of fixing was suggested as: https://github.com/wmde/Diff/pull/92.
Alternatively, I am going to make more local change in WikibaseLexeme.git

Change 424364 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] FormPatcher: test removing grammatical features

https://gerrit.wikimedia.org/r/424364

Change 425851 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Add browser tests for undoing change that added grammatical feature

https://gerrit.wikimedia.org/r/425851

WMDE-leszek removed WMDE-leszek as the assignee of this task.Apr 13 2018, 4:25 PM
WMDE-leszek moved this task from Doing to Peer Review on the Wikidata-Turtles-Sprint#3 board.

Change 424364 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] FormPatcher: test removing grammatical features

https://gerrit.wikimedia.org/r/424364

Lydia_Pintscher closed this task as Resolved.Apr 19 2018, 8:04 AM
Lydia_Pintscher claimed this task.

\o/

Change 425851 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add browser tests for undoing change that added grammatical feature

https://gerrit.wikimedia.org/r/425851